## apt-listbugs 0.0.69

=== Makefile ===
all:

clean:
	-find -name '*~' | xargs rm -- 
	-rm tests/log/tmp

check:
	set -e; set -o pipefail; for A in tests/???_*.sh; do echo $$A; bash $$A  2>&1 | tee tests/log/$${A/*\//}.log; done

## apt-listbugs 0.0.40

=== debian/changelog ===
apt-listbugs (0.0.40) unstable; urgency=low

  * Updated Danish program translation (po/da.po), Claus Hindsgaul
  * Depends on ruby1.8 (closes: #237633, #253281)
     - This causes not to satisfy dependencies for woody.
  * HtmlTempfile to create tempfiles with .html suffix.
     (closes: #255775, #255792)
  * Fixed a message mistake: (closes: #251201)

 -- Masato Taruishi <taru@valinux.co.jp>  Thu, 24 Jun 2004 14:03:33 +0900

apt-listbugs (0.0.39) unstable; urgency=low

  * Uses $HOME/.apt-listbugs/cache for normal user's cache (closes: #200057)
  * Added -T <title>, -S <stats> and -q options.
  * Refined rss output.
  * Don't call system() in order to modify /etc/apt/preferences
     (closes: #245734).
  * Changed default cache expire time to 1 hour.
  * Parses tags in index.db.
  * Added deblistbugs example.

 -- Masato Taruishi <taru@valinux.co.jp>  Fri,  7 May 2004 12:21:33 +0900

apt-listbugs (0.0.38) unstable; urgency=low

  * Fixed Pinning failure (closes: #245734, #245958, #246489).

 -- Masato Taruishi <taru@debian.org>  Thu, 29 Apr 2004 20:01:37 +0900

apt-listbugs (0.0.37) unstable; urgency=low

  * Added danish translation.
  * Support new version of cgi output: CGI Parser
  * Fixed mutex problem in Index parser (closes: #238799)

 -- Masato Taruishi <taru@valinux.co.jp>  Fri, 19 Mar 2004 17:23:00 +0900

apt-listbugs (0.0.36) unstable; urgency=low

  * Support both ruby1.8 and ruby1.6 (closes: #214516).
  * Moved BTS libraries under /usr/share/apt-listbugs/debian/
  * Bumped Standards Version to 3.6.1
  * Installed mo files as -m644.
  * Reallocate stdin for browser (closes: #216361). Thanks to
        Michal Politowski <mpol@charybda.icm.edu.pl>
        Jeff King <peff-debbug@peff.net>
  * Wrote bug description in pinning explanation (closes: #215669).

 -- Masato Taruishi <taru@valinux.co.jp>  Wed,  7 Jan 2004 15:20:33 +0900

apt-listbugs (0.0.35) unstable; urgency=low

  * Remove redundant arguments in 10apt-listbugs.
  * Change default server to osdn.debian.or.jp.
  * Re-enable exit status checker in 10apt-listbugs.
      - Most of errors are now bugs while apt-listbugs used to
        exit with error in case of network connection error etc
        when I considered this disabling. By now, these errors
        are rescued and processed correctly in apt-listbugs itself.
      - As a still, it causes apt to ignore apt-listbugs error status.
        Therefore, warning message are diplayed in error so that
        administrators can notice the error. They can stop it forcibely
        by sending signal.

 -- Masato Taruishi <taru@valinux.co.jp>  Fri, 26 Dec 2003 11:42:16 +0900

apt-listbugs (0.0.34) unstable; urgency=low

  * Fixed 10apt-listbugs to run apt-listbugs in any request state.
     (closes: #212129)
  * Sorry. Long out-standing grave bug is now fixed.
     Add Depends: libdpkg-ruby1.6
     (closes: #216094, #216240, #216036)
  * It shouldn't be happened normally. If this error is reproduced
    please reopen the bug (closes: #215057)
  * Added BUild-Depends-Indep: ruby1.6

 -- Masato Taruishi <taru@valinux.co.jp>  Wed,  5 Nov 2003 22:26:50 +0900

apt-listbugs (0.0.33) unstable; urgency=low

  * Use -f - in tar to get changelog.
     See "http://rwiki.jin.gr.jp/cgi-bin/rw-cgi.rb?cmd=view&name=%A4%A2%A4%E9%A4%A4"

 -- Masato Taruishi <taru@valinux.co.jp>  Fri, 19 Sep 2003 14:10:42 +0900

apt-listbugs (0.0.32) unstable; urgency=low

  * Use recent rdtool (closes: #207933, #201404)
  * Use cdbs.
  * Add experimental ruby cdbs module.

 -- Masato Taruishi <taru@valinux.co.jp>  Wed, 17 Sep 2003 12:11:19 +0900

apt-listbugs (0.0.31) unstable; urgency=low

  * Make misato default host.
  * Make Index.db default.
  * Disabled CGI access.
     (closes: #211172, #207541)

 -- Masato Taruishi <taru@valinux.co.jp>  Tue, 16 Sep 2003 19:40:38 +0900

apt-listbugs (0.0.30) unstable; urgency=low

  * Read Acquire::http:;Proxy from apt configuration framework.
     (closes: #194127)
  * Add -C option to specify another apt.conf.
  * Better handling of Index parser.

 -- Masato Taruishi <taru@valinux.co.jp>  Wed, 10 Sep 2003 20:56:54 +0900

apt-listbugs (0.0.29) unstable; urgency=low

  * Oops, don't ask for warning when no error occured.

 -- Masato Taruishi <taru@valinux.co.jp>  Tue,  9 Sep 2003 16:07:06 +0900

apt-listbugs (0.0.28) unstable; urgency=low

  * Followed the libzlib-ruby's transition.
  * Check the exception from bug's parser and continue its execution until
    error count limit.
     (closes: #202583, #203495, #184427, #206276)
  * Cleanup help output.

 -- Masato Taruishi <taru@valinux.co.jp>  Tue,  9 Sep 2003 15:58:04 +0900

apt-listbugs (0.0.27) unstable; urgency=low

  * Support simple gettext message translation.
     Added Japanese message catalogue.

 -- Masato Taruishi <taru@debian.org>  Sat,  6 Sep 2003 14:48:43 +0900

apt-listbugs (0.0.26) unstable; urgency=low

  * Transition to the new ruby policy.
      - Depends: ruby1.6
         + dpkg-ruby is available only for 1.6.
         + not test on 1.8.

 -- Masato Taruishi <taru@debian.org>  Sat,  6 Sep 2003 01:09:13 +0900

apt-listbugs (0.0.25) unstable; urgency=low

  * Use sensible-browser if it's found on path.
  * Put .html extension to the tempfile (closes: #201038, #205594)

 -- Masato Taruishi <taru@valinux.co.jp>  Thu,  4 Sep 2003 11:36:52 +0900

apt-listbugs (0.0.24) unstable; urgency=low

  * Fixed typo of unknown (Thanks to Jim Cheetham <jim.cheetham@ecosm.com>)
     (closes: #208472)
  * Fixed Pinning failure (closes: #208279)

 -- Masato Taruishi <taru@valinux.co.jp>  Wed,  3 Sep 2003 14:13:09 +0900

apt-listbugs (0.0.23) unstable; urgency=low

  * Added a new option: --pin-priority to specify Pin-Priority value.
  * Oops, Pin-Priority: -1 is no meaning. default is 1000 now.

 -- Masato Taruishi <taru@valinux.co.jp>  Mon,  1 Sep 2003 17:09:40 +0900

apt-listbugs (0.0.22) unstable; urgency=low

  * Fixed output of retrieving status (thanks to x_otero@terra.es)
     (closes: #201456)


=== debian/control ===
Source: apt-listbugs
Section: admin
Priority: optional
Maintainer: Masato Taruishi <taru@debian.org>
Build-Depends: debhelper (>> 3.0.0), cdbs
Build-Depends-Indep: ruby1.8, rdtool, gettext
Standards-Version: 3.6.1

Package: apt-listbugs
Architecture: all
Depends: ruby (>= 1.8), libdpkg-ruby1.8, apt, libzlib-ruby1.8, libintl-gettext-ruby1.8
Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
Description: Lists critical bugs before each apt installation
 apt-listbugs is a tool which retrieves bug reports from the Debian
 Bug Tracking System and lists them. Especially, it is intended to
 be invoked before each upgrade/installation by apt in order to check
 whether the upgrade/installation is safe. 
 .
 Most of Debian developers use the unstable version of Debian
 and some users also use it because the version is the latest
 snapshot which includes many new features and packages.
 .
 apt is a great convenient tool to follow your system to the latest
 version easily. On the other hand, the feature also makes your system
 break easily. If a package is broken and uploaded to the Debian unstable,
 the package will be installed on many Debian system soon.
 .
 This tool aims to make the broken upgrade as save as possible. You can
 check whether the upgrade is safe or not just before the upgrade.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/scripts/cdbs/class/ruby-vars.mk

LINGUAS := ja da
MOFILES := $(patsubst %.po,%.mo,$(wildcard po/*.po))

update-po:
	xgettext --language=python apt-listbugs -o po/apt-listbugs.pot
	for po in $(LINGUAS); do \
	  msgmerge -U po/$$po.po po/apt-listbugs.pot; \
	done

%.mo: %.po
	msgfmt -o $@ $<


apt-listbugs.1: apt-listbugs
	rd2 -r rd/rd2man-lib.rb -o apt-listbugs apt-listbugs

common-build-indep:: apt-listbugs.1 $(MOFILES)
	
clean::
	rm -f apt-listbugs.1
	rm -f $(MOFILES)

common-install-indep:: common-build-indep

	dh_installdirs

	# Add here commands to install the package into debian/apt-listbugs.
	install -m 755 apt-listbugs $(DEB_DESTDIR)/usr/sbin/
	install -m 644 10apt-listbugs $(DEB_DESTDIR)/etc/apt/apt.conf.d/
	install -m 644 ignore_bugs $(DEB_DESTDIR)/usr/share/apt-listbugs/
	install -m 644 lib/debian/*.rb $(DEB_DESTDIR)/usr/share/apt-listbugs/debian/
	for mo in $(MOFILES); do \
	  install -d $(DEB_DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES; \
	  install -m644 $$mo $(DEB_DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES/apt-listbugs.mo; \
	done

## apt-listbugs 0.0.46

=== debian/changelog ===
apt-listbugs (0.0.46) unstable; urgency=high

  * Duplicates command line argument strings value because it's frozen
    since ruby-1.8.2pre3 ( closes: #281329, #282937 )
  * Urgency=high because the version of ruby-1.8 has a high urgency
    which makes the previous version of apt-listbugs break.

 -- Masato Taruishi <taru@valinux.co.jp>  Fri, 26 Nov 2004 15:44:12 +0900

apt-listbugs (0.0.45) unstable; urgency=low

  * Fixed mutex control bug (closes: #276766).
     - Maybe it makes fix this problem. If not, reopen the bug again.
  * Don't call security rss generator from cron script.
     (closes: #281478)
  * Remove sudo call of security.rss. (closes: #281396)
  * Handle comment lines of preferences file correctly
     (closes: #274174)
  * Don't overwrite preferences because of possibilities of 
    its corruptness.

 -- Masato Taruishi <taru@valinux.co.jp>  Tue, 16 Nov 2004 20:50:27 +0900

apt-listbugs (0.0.44) unstable; urgency=low

  * Added --force-yes/no option whici make non-interactive installation
    possible (closes: #270445, #274149).
  * Added security.rss generator (experimental).
    - Now you can track security issues of packages which you install
      by any kind of RSS viewer. 
    - Register /var/cache/apt-listbugs/security.rss to you viewer.
    - Note that it's experimental.

 -- Masato Taruishi <taru@valinux.co.jp>  Sun, 14 Nov 2004 17:45:26 +0900

apt-listbugs (0.0.43) unstable; urgency=low

  * Added filtering by tag.
     - You can specify tags to handle. For example, -T woody,security
       shows only bugs of security issue in woody.
       ( closes: #236683 )
     - -T option was to specify title, but changed it for tag because
       tag is frequently used than it.
  * Disabling Proxy configuration when apt-listbugs doesn't support it.
     - This makes it possible to use apt-listbugs even in such case
       though it's not the best solution.
  * This is because ruby interface was changed. Use the latest version
    of apt-listbugs ( closes: #255988 ).
  * Don't edit apt_preferences when every packages are ignored from pininng.
    (closes: #276601)
  * This is not a bug, but a correct action. apt-listbugs crashes
    by itself to stop these frontend (closes: #238751, #277109)
  * Replaced the extended description. Thanks to many people :)
     (closes: #191619, #258072, #278338 )
  * Fixed typo. Thanks to Bothamy <frederic.bothamy@free.fr>.
     (close: #259578)

 -- Masato Taruishi <taru@valinux.co.jp>  Sun, 14 Nov 2004 12:06:54 +0900

apt-listbugs (0.0.42) unstable; urgency=low

  * Added french translation (closes: #257792).
  * Fixed aptcleanup error (closes: #271190, #270572)

 -- Masato Taruishi <taru@valinux.co.jp>  Mon, 13 Sep 2004 14:23:32 +0900

apt-listbugs (0.0.41) unstable; urgency=low

  * Fixed bad English suggested by Branden (closes: #264464).
  * Fixed typo in control (closes: #266215).
  * Added aptcleanup to remove the pin when the package has no longer
    critical bugs (closes: #261804).

 -- Masato Taruishi <taru@valinux.co.jp>  Fri, 20 Aug 2004 13:12:52 +0900

=== debian/control ===
Source: apt-listbugs
Section: admin
Priority: optional
Maintainer: Masato Taruishi <taru@debian.org>
Build-Depends: debhelper (>> 3.0.0), cdbs
Build-Depends-Indep: ruby1.8, rdtool, gettext
Standards-Version: 3.6.1

Package: apt-listbugs
Architecture: all
Depends: ruby (>= 1.8), libdpkg-ruby1.8, apt, libzlib-ruby1.8, libintl-gettext-ruby1.8
Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
Description: Lists critical bugs before each apt installation
 apt-listbugs is a tool which retrieves bug reports from the Debian
 Bug Tracking System and lists them. Especially, it is intended to
 be invoked before each upgrade/installation by apt in order to check
 whether the upgrade/installation is safe. 
 .
 Many developers and users prefer the unstable version 
 of Debian for its new features and packages.  apt, the
 usual upgrade tool, can break your system by 
 installing a buggy package.
 .
 apt-listbugs lists critical bug reports from the Debian
 Bug Tracking System.  Run it before apt to see if
 an upgrade or installation is known to be unsafe.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include debian/scripts/cdbs/class/ruby-vars.mk
 
-LINGUAS := ja da
+LINGUAS := ja da fr nb
 MOFILES := $(patsubst %.po,%.mo,$(wildcard po/*.po))
 
 update-po:
@@ -35,6 +35,7 @@
 	install -m 755 apt-listbugs $(DEB_DESTDIR)/usr/sbin/
 	install -m 644 10apt-listbugs $(DEB_DESTDIR)/etc/apt/apt.conf.d/
 	install -m 644 ignore_bugs $(DEB_DESTDIR)/usr/share/apt-listbugs/
+	install -m 755 aptcleanup $(DEB_DESTDIR)/usr/share/apt-listbugs/
 	install -m 644 lib/debian/*.rb $(DEB_DESTDIR)/usr/share/apt-listbugs/debian/
 	for mo in $(MOFILES); do \
 	  install -d $(DEB_DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES; \

## apt-listbugs 0.0.48

=== debian/changelog ===
apt-listbugs (0.0.48) unstable; urgency=high

  * Urgency=high because the previous version has a critical bug
    and removed from sarge.
  * Fixed symlink-case problem of prefernces file handling (closes: #301671).
    - Use existing preferences file and remove cp -a permission keep hack.
    - Backup /etc/apt/preferneces by cp -aH under /var/backups/.
    - Use savelog for files in /var/backups/.
    - Thanks paddy <paddy@panici.net> for his work to fix this problem.
  * Added Depends: libruby1.8 (>= 1.8.1) because rss/maker is available
    from this version (closes: #301005).

 -- Masato Taruishi <taru@debian.org>  Wed, 13 Apr 2005 03:12:09 +0900

apt-listbugs (0.0.47) unstable; urgency=low

  * Updated Danish translation (Claus Hindsgaul) (closes: #284299).
  * Use rss/maker.

 -- Masato Taruishi <taru@valinux.co.jp>  Thu,  3 Mar 2005 19:49:52 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: apt-listbugs
 Architecture: all
-Depends: ruby (>= 1.8), libdpkg-ruby1.8, apt, libzlib-ruby1.8, libintl-gettext-ruby1.8
+Depends: ruby (>= 1.8), libruby1.8 (>= 1.8.1), libdpkg-ruby1.8, apt, libzlib-ruby1.8, libintl-gettext-ruby1.8, libxml-parser-ruby1.8
 Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
 Description: Lists critical bugs before each apt installation
  apt-listbugs is a tool which retrieves bug reports from the Debian

## apt-listbugs 0.0.49

=== debian/changelog ===
apt-listbugs (0.0.49) unstable; urgency=low

  * Write ignore bug informations in /var/lib/apt-listbugs/ignore_bugs.
    /etc/apt/listbugs/ignore_bugs is only read as user settings.
     - (closes: #311482).
  * Applied the patch provided by Adam Majer <adamm@zombino.com>
     - Doesn't use chomp! (closes: #289361).
  * Put -f option before -O in tar. tar seems to stop parsing
    the flags after the first pathname. Thanks to 
    Torsten Hilbrich <torsten.hilbrich@gmx.net> (closes: #310179)

 -- Masato Taruishi <taru@debian.org>  Thu,  2 Jun 2005 12:21:13 +0900

## apt-listbugs 0.0.49ubuntu1

=== debian/changelog ===
apt-listbugs (0.0.49ubuntu1) dapper; urgency=low

  * Grammar fixes. (Closes Malone: #1753)

 -- Thierry Moisan <thierryn@videotron.ca>  Sun, 16 Oct 2005 11:24:36 -0400

## apt-listbugs 0.0.69

=== debian/changelog ===
apt-listbugs (0.0.69) unstable; urgency=low

  * Bug fix: "apt-listbugs: minor correction in wording", thanks to
    rrs@researchut.com (Closes: #399504).
  * README.Debian: Document bug 399706.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 23 Nov 2006 00:10:10 +0900

apt-listbugs (0.0.68) unstable; urgency=low

  * Bug fix: "apt-listbugs: French translation update", thanks to Frederic
    Bothamy (Closes: #398722).
  * README.Debian: document source version / binary version problem

 -- Junichi Uekawa <dancer@debian.org>  Wed, 15 Nov 2006 21:38:24 +0900

apt-listbugs (0.0.67) unstable; urgency=low

  * make http_proxy/HTTP_PROXY/soap_use_proxy sanity check a warning
    rather than an error. This is in response to 396304.
  * update-po
  * Bug fix: "breaks when unrelated per-host proxy setting exists in
    apt.conf", thanks to Zoran Dzelajlija (Closes: #396697).
    Work around a corner case in apt-config dump, which gives a broken
    proxy value of '' when there is unrelated proxy configuration.

 -- Junichi Uekawa <dancer@debian.org>  Fri,  3 Nov 2006 11:23:54 +0900

apt-listbugs (0.0.66) unstable; urgency=low

  * Depend on recent enough libruby, and http-access. Sarge versions lack
    critical features required by this version of apt-listbugs
    (Closes: #395562).

 -- Junichi Uekawa <dancer@debian.org>  Sat, 28 Oct 2006 21:30:06 +0900

apt-listbugs (0.0.65) unstable; urgency=low

  * README.Debian: add a note about 378868, apt-setup setting proxy to 'false'
  * Fixed a bug introduced by optimization in 0.0.64 for web interface.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 25 Oct 2006 06:26:44 +0900

apt-listbugs (0.0.64) unstable; urgency=low

  * Error-check on www-browser invocation. (closes: #367622)
  * Support -H and -p options for SOAP access. Uses the same values as for
    initial HTTP.
  * i18n: "apt-listbugs: French translation update", thanks to Fre'de'ric
    Bothamy (Closes: #393298).
  * Merge bug-processing speed improvement patch from Kouhei Sutou
    <kou@cozmixng.org>

 -- Junichi Uekawa <dancer@debian.org>  Tue, 24 Oct 2006 07:25:35 +0900

apt-listbugs (0.0.63) unstable; urgency=low

  * try to avoid 'no block given' bug in error-handling for bug-fetching.
  * update testsuite to test for handling 378868 case.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 11 Oct 2006 07:25:52 +0900

apt-listbugs (0.0.62) unstable; urgency=low

  * try to get a better message than 'no block given' for network errors.
  * On SOAP failure, ask and retry 10 times before bailing out. This was
    the behavior before SOAP re-implementation.
  * add sanity-check for http_proxy, and soap_use_proxy=on variables.

 -- Junichi Uekawa <dancer@debian.org>  Mon,  9 Oct 2006 16:30:13 +0900

apt-listbugs (0.0.61) unstable; urgency=low

  * handle error message when ignore file cannot be written to.
  * deprecate and remove CGI backend code
  - deprecate -I, --index option, since CGI isn't used and index is always
    used, it does not mean anything.
  * apply "support http user auth" patch from James Westby (partially
    address #207754).  still waiting for fix on
    http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/202603
  * i18n
  - "apt-listbugs: [INTL:sv] Swedish translation updated", thanks
    to Daniel Nylander (Closes: #391537).

 -- Junichi Uekawa <dancer@debian.org>  Sun,  8 Oct 2006 19:31:45 +0900

apt-listbugs (0.0.60) unstable; urgency=low

  * really support apt.conf proxy configuration for SOAP (closes: #389681)
  - delay 'require' of btssoap module until it's really required, and
    allow initialisation of env-vars to happen before it.
  - support acquire::http::proxy::bugs.debian.org, for specifying proxy
    used for apt-listbugs only. Also support DIRECT as a keyword for no
    HTTP Proxy (closes: #193524, 332768)
  - add testsuite 008_test_proxy to test proxy configuration.
  * update-po
  * update documentation to note down that latest apt-listbugs is
    available in git.debian.org repository.

 -- Junichi Uekawa <dancer@debian.org>  Sat,  7 Oct 2006 11:03:32 +0900

apt-listbugs (0.0.59) unstable; urgency=low

  * README.Debian: add notes on filing bugs on apt-listbugs, and running
    apt-listbugs with debugging mode.
  * set timeout time to 999 seconds instead of 30 seconds.
  - Bug fix: "apt-listbugs times out while doing SOAP.", reported by David
    Baron (Closes: #391180).

 -- Junichi Uekawa <dancer@debian.org>  Fri,  6 Oct 2006 08:18:17 +0900

apt-listbugs (0.0.58) unstable; urgency=low

  * users need to set SOAP_USE_PROXY=on to use HTTP_PROXY for SOAP.
    Document it. A pretty stupid way to handle security hole, but that's
    life.
    SOAP_USE_PROXY is set if apt.conf has the proxy configuration.
  - Bug fix: "apt-listbugs: Reports undefined variable and fails"
    (Closes: #389681).

 -- Junichi Uekawa <dancer@debian.org>  Tue,  3 Oct 2006 23:30:11 +0900

apt-listbugs (0.0.57) unstable; urgency=low

  * do not use Regexp.quote to pass package names to Debian::Packages.new
    It's already doubly escaped over there.
  - Bug fix: "apt-listbugs: Fails to pin packages that contain the '-'
    character in the name.", thanks to Stuart Freeman (Closes: #389588).
  * update po files.
  * quote $tmp in cron script.
  * update README.Debian
  * update manpage AUTHORS to list myself.
  * add testsuite, and fix things as they are broken.
  * examples:
  - remove listbugs.rb, and add listbugs-soap.rb
  - update deblistbugs
  - update rc2rss
  * hard-coded rate-limit to obtain 200 bugs per SOAP request; 200 bugs
    takes around 100 MB on SOAP4R.
  * Make 'apt-listbugs list' use current package versions as comparison
    target for Fixed/Found.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  1 Oct 2006 20:24:40 +0900

apt-listbugs (0.0.56) unstable; urgency=low

  * change default severity to RC: critical, grave, serious
  * change stats to: "forwarded", "done", "pending", instead of original
    [outstanding,pending upload,resolved,done,open,]


=== debian/control ===
Source: apt-listbugs
Section: admin
Priority: optional
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>> 5.0.0), cdbs
Build-Depends-Indep: ruby1.8, rdtool, gettext
Standards-Version: 3.7.2

Package: apt-listbugs
Architecture: all
Depends: ruby (>= 1.8), libruby1.8 (>= 1.8.5), libdpkg-ruby1.8, apt, libzlib-ruby1.8, libintl-gettext-ruby1.8, libxml-parser-ruby1.8, libhttp-access2-ruby1.8 (>= 2.0.6)
Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
Description: Lists critical bugs before each apt installation
 apt-listbugs is a tool which retrieves bug reports from the Debian Bug 
 Tracking System and lists them. Especially, it is intended to be invoked 
 before each upgrade/installation by apt in order to check whether the 
 upgrade/installation is safe. 
 .
 Many developers and users prefer the unstable version of Debian for its new 
 features and packages.  apt, the usual upgrade tool, can break your system by 
 installing a buggy package.
 .
 apt-listbugs lists critical bug reports from the Debian Bug Tracking System.
 Run it before apt to see if an upgrade or installation is known to be unsafe.

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include debian/scripts/cdbs/class/ruby-vars.mk
 
-LINGUAS := ja da fr nb
+LINGUAS := $(shell cd po; ls *.po| cut -d'.' -f1)
 MOFILES := $(patsubst %.po,%.mo,$(wildcard po/*.po))
+VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 
 update-po:
 	xgettext --language=python apt-listbugs -o po/apt-listbugs.pot
@@ -22,17 +23,22 @@
 	rd2 -r rd/rd2man-lib.rb -o apt-listbugs apt-listbugs
 
 common-build-indep:: apt-listbugs.1 $(MOFILES)
-	
+
 clean::
 	rm -f apt-listbugs.1
 	rm -f $(MOFILES)
+	-make clean
 
 common-install-indep:: common-build-indep
 
 	dh_installdirs
 
 	# Add here commands to install the package into debian/apt-listbugs.
-	install -m 755 apt-listbugs $(DEB_DESTDIR)/usr/sbin/
+	sed -e 's/#APT_LISTBUGS_VERSION#/$(VERSION)/' \
+		-e 's,#!/usr/bin/ruby -Ilib/,#!/usr/bin/ruby -I/usr/share/apt-listbugs,' \
+		< apt-listbugs \
+		> $(DEB_DESTDIR)/usr/sbin/apt-listbugs
+	chmod 755 $(DEB_DESTDIR)/usr/sbin/apt-listbugs
 	install -m 644 10apt-listbugs $(DEB_DESTDIR)/etc/apt/apt.conf.d/
 	install -m 644 ignore_bugs $(DEB_DESTDIR)/usr/share/apt-listbugs/
 	install -m 755 aptcleanup $(DEB_DESTDIR)/usr/share/apt-listbugs/

## apt-listbugs 0.0.80

=== debian/changelog ===
apt-listbugs (0.0.80) unstable; urgency=low

  * Bug fix: "please add a --version command line flag", thanks to Stefano
    Zacchiroli (Closes: #430527).
  * update translations
  - ja.po

 -- Junichi Uekawa <dancer@debian.org>  Tue, 26 Jun 2007 09:08:04 +0900

apt-listbugs (0.0.79) unstable; urgency=low

  * lib/debian/btssoap: implement get_bugs SOAP interface.
  * deprecate --indexdir option
  * use BTS Soap interface to obtain index file, not index.db-XXX files.
  * accept pkgname/version format for apt-listbugs list.
    ->  apt-listbugs list package/version package/version
  * ignore bugs only in 'apt' mode, 'list' and 'rss' mode
    should be unaffected.
  * make --show-downgrade to work only in 'apt' mode.
  * "Add a option to list all severities", by request from martin f krafft
    (Closes: #294583).
  * Now possible to obtain the list of bug reports a maintainer may want
    to close in his changelog by: 
    apt-listbugs list PACKAGE/VERSION | grep '^ #'
  
  * apt-listbugs no longer uses cache, obsolete --force-download option.
    obsolete --timer
    obsolete --cache-dir
  
 -- Junichi Uekawa <dancer@debian.org>  Mon, 25 Jun 2007 21:23:02 +0900

apt-listbugs (0.0.78) unstable; urgency=low

  * Bug fix: "apt-listbugs: Obsolete invocation of `tail`", thanks to Ted
    Percival (Closes: #425783).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 27 May 2007 11:19:43 +0900

apt-listbugs (0.0.77) unstable; urgency=low

  * postrm, preinst: rename to 10apt-listbugs.disabled on remove, and
    rename back on install; and remove .disabled on remove.
    Allows removal; broken since 0.0.74
    (Closes: #423637)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 14 May 2007 08:25:52 +0900

apt-listbugs (0.0.76) unstable; urgency=low

  * Bug fix: "Manpage typo", thanks to Daniel Leidert (Closes: #420975).
  * Bug fix: "apt-listbugs: [INTL:fr] French program translation update",
    thanks to Frédéric Bothamy (Closes: #421335).

 -- Junichi Uekawa <dancer@debian.org>  Sun,  6 May 2007 08:39:28 +0900

apt-listbugs (0.0.75) unstable; urgency=low

  * run browser as user SUDO_USER, when SUDO_USER is available.
  * Bug fix: "apt-listbugs: Prompt breaks/repeats with non [Y/n]
    response", thanks to Ted Percival (Closes: #419186).
  * add pbuilder testsuite

 -- Junichi Uekawa <dancer@debian.org>  Mon, 16 Apr 2007 07:54:09 +0900

apt-listbugs (0.0.74) unstable; urgency=low

  * 'debian/rules update-po' now shows a summary of undone translations.
  * support '--quiet' apt option. (closes: #330621)
  - use 'VERSION 2'
  - modify 10apt-listbugs Pre-Install-Pkgs to be simpler and set 
    DPkg::Tools::Options::/usr/sbin/apt-listbugs::Version "2";
  - README.Debian: debugging method for  'apt-listbugs apt' has changed.
  
 -- Junichi Uekawa <dancer@debian.org>  Wed, 11 Apr 2007 22:19:26 +0900

apt-listbugs (0.0.73) unstable; urgency=low

  * Bug fix: "apt-listbugs: [INTL:fr] French program translation update",
    thanks to Fre'de'ric Bothamy (Closes: #406967).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 29 Jan 2007 22:28:53 +0900

apt-listbugs (0.0.72) unstable; urgency=low

  * Make error message more verbose. (Closes: #405256).

 -- Junichi Uekawa <dancer@debian.org>  Thu,  4 Jan 2007 15:10:41 +0900

apt-listbugs (0.0.71) unstable; urgency=low

  * Add pending-fixed status to list of stats to handle.
    I don't want a package which is fixed upstream but not yet fixed in
    Debian.
    Bug fix: "apt-listbugs: doesn't list pending bugs", thanks to Filipus
    Klutiero (Closes: #403144).
  * generally changed debug messages to be more explanatory.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 Dec 2006 22:18:13 +0900

apt-listbugs (0.0.70) unstable; urgency=low

  * Bug fix: "apt-listbugs: [INTL:fr] French program translation update",
    thanks to Frederic Bothamy (Closes: #400692).
  * Bug fix: "apt-listbugs: http-proxy aithentication does not work",
    thanks to Michele Orsenigo (Closes: #207754).
  - Thanks to http-access2, it is now possible to use
    password-authenticated proxy.  Use it with
    http_proxy=http://user:password@proxy-address:proxy-port/ and
    soap_use_proxy=on

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 Dec 2006 20:04:01 +0900

## apt-listbugs 0.0.84

=== Makefile ===
all:

clean:
	-find -name '*~' | xargs rm -- 
	-rm tests/log/tmp

check:
	: > tests/log/SUMMARY 
	set -e; set -o pipefail; for A in tests/???_*.sh; do echo $$A; ( bash $$A  2>&1 | tee tests/log/$${A/*\//}.log ) && echo "[OK] $$A" >> tests/log/SUMMARY || echo "[NG] $$A" >> tests/log/SUMMARY ; done
	cat tests/log/SUMMARY

=== debian/changelog ===
apt-listbugs (0.0.84) unstable; urgency=low

  * add Vcs-Git, Vcs-Browser.
  * Depend on liblocale-ruby1.8
  * Bug fix: "Erroneous charset declaration in HTML summary", thanks to Xr
    (Closes: #451217).
  * Bug fix: "'done in the latest versions' does not mean the bug is
    fixed, but that confuses user", as reported by Antti-Juhani Kaijanaho
    (Closes: #448132).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Nov 2007 07:47:05 +0900

apt-listbugs (0.0.83) unstable; urgency=low

  * Bug fix: "apt-listbugs: [INTL:pt] Portuguese translation", thanks to
    Traduz - Portuguese Translation Team (Closes: #447803).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 25 Oct 2007 08:50:50 +0900

apt-listbugs (0.0.82) unstable; urgency=low

  * handle error case of package version not available in web interface.
  * handle bug report with package names with comma as multiple bug reports.
    thanks to Antti-Juhani Kaijanaho (Closes: #434507).
  * Bug fix: "apt-listbugs: [INTL:fr] French program translation update",
    thanks to Frédéric Bothamy (Closes: #434692).

 -- Junichi Uekawa <dancer@debian.org>  Fri, 27 Jul 2007 07:00:43 +0900

apt-listbugs (0.0.81) unstable; urgency=low

  * depend on libdpkg-ruby 0.3.2 or greater, just to be more explicit.
  * Improve drv.get_bugs by supporting variable number of options.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 15 Jul 2007 09:49:37 +0900

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Build-Depends: debhelper (>> 5.0.0), cdbs
 Build-Depends-Indep: ruby1.8, rdtool, gettext
 Standards-Version: 3.7.2
+Vcs-Git: git://git.debian.org/git/apt-listbugs/apt-listbugs.git
+Vcs-Browser: http://git.debian.org/?p=apt-listbugs/apt-listbugs.git
 
 Package: apt-listbugs
 Architecture: all
-Depends: ruby (>= 1.8), libruby1.8 (>= 1.8.5), libdpkg-ruby1.8, apt, libzlib-ruby1.8, libintl-gettext-ruby1.8, libxml-parser-ruby1.8, libhttp-access2-ruby1.8 (>= 2.0.6)
+Depends: ruby (>= 1.8), libruby1.8 (>= 1.8.5), libdpkg-ruby1.8 (>= 0.3.2), apt, libzlib-ruby1.8, libintl-gettext-ruby1.8, libxml-parser-ruby1.8, libhttp-access2-ruby1.8 (>= 2.0.6), liblocale-ruby1.8
 Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
 Description: Lists critical bugs before each apt installation
  apt-listbugs is a tool which retrieves bug reports from the Debian Bug

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 	xgettext --language=python apt-listbugs -o po/apt-listbugs.pot
 	for po in $(LINGUAS); do \
 	  msgmerge -U po/$$po.po po/apt-listbugs.pot; \
+	done
+	for po in $(LINGUAS); do \
+	  echo -n $$po ": "; \
+	  msgfmt -v po/$$po.po -o /dev/null; \
 	done
 
 %.mo: %.po

## apt-listbugs 0.0.89

=== Makefile ===
--- 
+++ 
@@ -8,3 +8,8 @@
 	: > tests/log/SUMMARY 
 	set -e; set -o pipefail; for A in tests/???_*.sh; do echo $$A; ( bash $$A  2>&1 | tee tests/log/$${A/*\//}.log ) && echo "[OK] $$A" >> tests/log/SUMMARY || echo "[NG] $$A" >> tests/log/SUMMARY ; done
 	cat tests/log/SUMMARY
+
+update-po:
+	debian/rules update-po
+
+.PHONY: update-po check clean

=== debian/changelog ===
apt-listbugs (0.0.89) unstable; urgency=low

  * Bug fix: "apt-listbugs: please allow bug numbers starting with #",
    thanks to Jeremy Lal (Closes: #480136).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 13 May 2008 06:59:29 +0900

apt-listbugs (0.0.88) unstable; urgency=low

  * dup string before doing << to work around libgettext-ruby _() behavior.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 31 Mar 2008 07:41:53 +0900

apt-listbugs (0.0.87) unstable; urgency=low

  [ Tatsuki Sugiura ]
  * Transit to libgettext-ruby from liblocale-ruby + libintl-gettext-ruby.
    (closes: #469493)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 24 Mar 2008 08:12:04 +0900

apt-listbugs (0.0.86) unstable; urgency=low

  * Update README.Debian to add instructions on debugging.
  * catch timeout exception and try to retry. (Closes: #453403)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 02 Feb 2008 17:59:57 +0900

apt-listbugs (0.0.85) unstable; urgency=low

  * Document '-d' debug option in manpage.
  * Bug fix: "Do not delete /etc/apt/preferences when no network
    connection", reported by Tim Gershon and fix by Jean Lepropre (Closes:
    #445107).
  * po updates
  - "[INTL:fr] French program translation update", thanks to
    Frédéric Bothamy (Closes: #454165).
  - ja.po

 -- Junichi Uekawa <dancer@debian.org>  Thu, 27 Dec 2007 09:28:43 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: apt-listbugs
 Architecture: all
-Depends: ruby (>= 1.8), libruby1.8 (>= 1.8.5), libdpkg-ruby1.8 (>= 0.3.2), apt, libzlib-ruby1.8, libintl-gettext-ruby1.8, libxml-parser-ruby1.8, libhttp-access2-ruby1.8 (>= 2.0.6), liblocale-ruby1.8
+Depends: ruby (>= 1.8), libruby1.8 (>= 1.8.5), libdpkg-ruby1.8 (>= 0.3.2), apt, libzlib-ruby1.8, libgettext-ruby1.8, libxml-parser-ruby1.8, libhttp-access2-ruby1.8 (>= 2.0.6)
 Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
 Description: Lists critical bugs before each apt installation
  apt-listbugs is a tool which retrieves bug reports from the Debian Bug

## apt-listbugs 0.1.3

=== Makefile ===
# bashisms in real-check
SHELL = /bin/bash

LINGUAS := $(shell cd po; ls *.po| cut -d'.' -f1)
MOFILES := $(patsubst %.po,%.mo,$(wildcard po/*.po))

all: apt-listbugs.1 $(MOFILES)

clean:
	find -name '*~' | xargs rm -f -- 
	rm -f tests/log/tmp
	rm -f apt-listbugs.1
	rm -f $(MOFILES)

real-check:
	: > tests/log/SUMMARY 
	set -e; set -o pipefail; for A in test_*.rb; do echo $$A; ( ./$$A  2>&1 | tee tests/log/$${A/*\//}.log ) && echo "[OK] $$A" >> tests/log/SUMMARY || echo "[NG] $$A" >> tests/log/SUMMARY ; done
	set -e; set -o pipefail; for A in tests/???_*.sh; do echo $$A; ( bash $$A  2>&1 | tee tests/log/$${A/*\//}.log ) && echo "[OK] $$A" >> tests/log/SUMMARY || echo "[NG] $$A" >> tests/log/SUMMARY ; done
	cat tests/log/SUMMARY

apt-listbugs.1: apt-listbugs
	rd2 -r rd/rd2man-lib.rb -o apt-listbugs apt-listbugs

update-po:
	xgettext --add-comments=TRANSLATORS --language=python apt-listbugs lib/apt-listbugs/logic.rb -o po/apt-listbugs.pot
	for po in $(LINGUAS); do \
	  msgmerge -U po/$$po.po po/apt-listbugs.pot; \
	done
	for po in $(LINGUAS); do \
	  echo -n $$po ": "; \
	  msgfmt -v po/$$po.po -o /dev/null; \
	done

install:
	# Add here commands to install the package into debian/apt-listbugs.
	for mo in $(MOFILES); do \
	  install -d $(DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES; \
	  install -m644 $$mo $(DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES/apt-listbugs.mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

.PHONY: update-po real-check clean all install

=== debian/changelog ===
apt-listbugs (0.1.3) unstable; urgency=low

  [ Francesco Poli (t1000) ]
  * fixed logic: apt-listbugs now uses a more correct way to pin uninstalled
  packages (thanks to Eugene V. Lyubimkin for making me realize that the
  previously used method was not really correct)
  * bumped Standards-Version to 3.8.4: no changes needed
  * fixed "time outs when using a proxy from apt.conf": don't require
  soap/soap in logic.rb, or otherwise proxy settings will be ignored
  for the SOAP connection (Closes: #567474)

  [ Ryan Niebur ]
  * update French translation, thanks to Jean-Baka Domelevo-Entfellner
    (Closes: #567452)

 -- Ryan Niebur <ryan@debian.org>  Sun, 31 Jan 2010 13:10:52 -0800

apt-listbugs (0.1.2) unstable; urgency=low

  [ Ryan Niebur ]
  * allow setting AptListbugs::IgnoreRegexp in apt.conf to ignore bugs
    with titles matching a regexp when in apt mode (Closes: #553346)
  * improve speed by using Debian::Dpkg instead of dpkg -I, now that
    Debian::Dpkg works again (libdpkg-ruby1.8 0.3.3)
  * let apt-config settings override the environment variables to match
    apt's new behavior (closes: 553601)
  * fix some translation issues (Closes: 534447)
  * don't require ftools, it's not needed and isn't there in ruby1.9

  [ Francesco Poli (t1000) ]
  * added robustness checks to aptcleanup to cope with obsolete packages
  * dropped obsolete example update-index.db
  * fixed bug in /etc/apt/preferences writing (bug titles with apostrophes
    were messed up)
  * added clean-up code to the postinst script in order to remove obsolete
    index files (Closes: #484385)
  * cosmetic changes in postinst, postrm, and preinst scripts

 -- Ryan Niebur <ryan@debian.org>  Fri, 01 Jan 2010 21:09:39 -0800

apt-listbugs (0.1.1) unstable; urgency=low

  [ Francesco Poli (t1000) ]
  * enhance BTS SOAP reply parsing: drop '\r' characters from bug subjects
  * bump Standards-Version to 3.8.3: no changes needed
  * updated README.Debian, by dropping or modifying obsolete parts
  * documented coexistence with unattended installations/upgrades in
    README.Debian (Closes: #459127)
  * updated --help output and man page
  * changed behavior when the user is asked whether an installation/upgrade
    should go on: bugs are no longer automatically made ignored, when the
    user answers "y"; only when the user answers "a" (Closes: #484408)

  [ Ryan Niebur ]
  * updated italian translation, thanks Luca (Closes: #540344)
  * LC_ALL=C when running apt-cache, we parse the English output (Closes:
    #547128)
  * update my email address

 -- Ryan Niebur <ryan@debian.org>  Sun, 25 Oct 2009 17:10:29 -0700

apt-listbugs (0.1.0) unstable; urgency=low

  [ Ryan Niebur ]
  * Add DM-Upload-Allowed field, I am now a DM
  * updated Swedish translation, thanks to Martin Bagge (Closes: #531622)
  * convert to debhelper 7
  * stop using sed during build to add in the version and load path,
    just figure it out at runtime
  * add a symlink in /usr/bin/ for apt-listbugs (Closes: #485231)
  * fix incorrect translations
  * Updated Czech translation, thanks to Miroslav Kure (Closes: #533391)
  * added Slovak translation, thanks to helix84 (Closes: #534448)
  * added Basque translation, thanks to Piarres Beobide (Closes:
    #534295)
  * updated Portuguese translation, thanks to Miguel Figueiredo (Closes:
    #534776)
  * Debian Policy 3.8.2
  * added German translation, thanks to Thomas Mueller (Closes: #534915)

  [ Francesco Poli (t1000) ]
  * improve logic: apt-listbugs may now pin uninstalled packages too
  * simplify code and add some robustness checks in aptcleanup
  * add an explicit call to remove the temporary file in aptcleanup

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 28 Jun 2009 01:06:18 -0700

apt-listbugs (0.0.96) unstable; urgency=low

  [ Junichi Uekawa ]
  * change git tag command.
  * update test scripts.
  * Fix "French translation updated": include new fr.po file, thanks to
    Jean-Baka Domelevo-Entfellner (Closes: #520627)

  [ Francesco Poli (t1000) ]
  * fix a couple of typos in the man page
  * Fix "pinned packages are not automatically unpinned": rewrite aptcleanup
    so that it checks whether the bugs that caused the pinning still affect
    the package candidate versions (Closes: #473175)

  [ Ryan Niebur ]
  * adopt package (Closes: #520273)
  * move time to Build-Depends-Indep
  * add misc:Depends to Depends
  * update Copyright statements
  * don't ignore errors from 'make clean'
  * add semi-colon to apt configuration (Closes: #527064)
  * minor improvements to Francesco's aptcleanup patch
  * update the maintainer in debian/copyright
  * fix the short description to pass the 'is a' test

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 15 May 2009 08:10:16 -0700

apt-listbugs (0.0.95) unstable; urgency=low

  [ Francesco Poli (t1000) ]
  * fix "please implement a command to query the BTS about a given bug in
    given package/version" (Closes: #476988)
  * added Francesco Poli to the uploaders list

  [ Junichi Uekawa ]
  * ja.po: update
  * *.po: regenerated.
  * strings are now frozen in gettext, work around it. 
    (closes: #515883, #517058)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 25 Feb 2009 21:59:37 +0900

apt-listbugs (0.0.94) unstable; urgency=low

  * remove a trace of -R option which used to be 'release-critical' which
    has been removed 2 years ago. (Closes: #502803).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 23 Oct 2008 10:04:17 +0900

apt-listbugs (0.0.93) unstable; urgency=low

  * French translation update for apt-listbugs/fr.po, thanks to Jean-Baka
    Domelevo-Entfellner (closes: #498866)
  * Document co-existing use with apt-listbugs and
    apt-cacher/apt-cacher-ng (closes: #500057)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 01 Oct 2008 21:30:11 -0700

apt-listbugs (0.0.92) unstable; urgency=low

  * Try 2, fix further cases. (closes: #497196)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 Aug 2008 09:18:37 -0700



=== debian/control ===
Source: apt-listbugs
Section: admin
Priority: optional
Maintainer: Ryan Niebur <ryan@debian.org>
Uploaders: Francesco Poli (t1000) <frx@firenze.linux.it>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: ruby1.8, rdtool, gettext, time
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/apt-listbugs/apt-listbugs.git
Vcs-Browser: http://git.debian.org/?p=apt-listbugs/apt-listbugs.git

Package: apt-listbugs
Architecture: all
Depends: ${misc:Depends}, ruby (>= 1.8), libruby1.8 (>= 1.8.5), libdpkg-ruby1.8 (>= 0.3.3), apt, libzlib-ruby1.8, libgettext-ruby1.8, libxml-parser-ruby1.8, libhttp-access2-ruby1.8 (>= 2.0.6)
Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
Description: tool which lists critical bugs before each apt installation
 apt-listbugs is a tool which retrieves bug reports from the Debian Bug 
 Tracking System and lists them. Especially, it is intended to be invoked 
 before each upgrade/installation by apt in order to check whether the 
 upgrade/installation is safe. 
 .
 Many developers and users prefer the unstable version of Debian for its new 
 features and packages.  apt, the usual upgrade tool, can break your system by 
 installing a buggy package.
 .
 apt-listbugs lists critical bug reports from the Debian Bug Tracking System.
 Run it before apt to see if an upgrade or installation is known to be unsafe.

## apt-listbugs 0.1.5

=== debian/changelog ===
apt-listbugs (0.1.5) unstable; urgency=low

  * modified the git-tag.sh internal script
  * bumped Standards-Version to 3.9.2: no changes needed
  * fixed "E: private method `chomp!' called for nil:NilClass": applied the
    little patch by Jonathan Nieder (thanks a lot!) to enhance input
    validation for the "apt-listbugs apt" command (Closes: #626937)
  * reduced the use of libdpkg-ruby1.8 to improve efficiency
  * fixed logic in the bug-relevance checks

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Thu, 14 Jul 2011 23:07:03 +0200

apt-listbugs (0.1.4) unstable; urgency=low

  [ Francesco Poli (wintermute) ]
  * fixed "po-debconf: usage text - options v, p and P have not dot at the
    end" (Closes: #569214)
  * fixed "crashes after requesting a web browser listing": use
    Locale.charset instead of Locale.codeset to adapt for a libgettext-ruby
    change (Closes: #572192)
  * fixed "Should not depends on transitional libhttp-access2-ruby1.8
    package" (Closes: #574075)
  * fixed and clarified man page about proxy configuration
  * switched to dpkg-source 3.0 (native) format
  * dropped the requirement for the user to set soap_use_proxy environment
    variable (this ruby module interface should not be exposed to application
    users: see also bug #399706)
  * dropped the obsolete /usr/share/doc/apt-listbugs/examples/proxy/ directory
  * changed exit status for errors encountered when reading bug reports: the
    right exit status is 1 ("something is wrong", as documented in the man
    page), not 10 (which is reserved for warning APT not to proceed)
  * added minimal handling of errors encountered when reading package fields
  * bumped Standards-Version to 3.9.1: no changes needed
  * enhanced stylistic consistency in questions to user
  * fixed "please enhance safety in case of network problems, when stdout
    is not a terminal": do not ask if the user wants to abort in case of
    network problems, ask if the user wants to continue anyway, instead
    (Closes: #598076)
  * dropped Ryan from the Maintainer field, since he will no longer be
    involved in apt-listbugs maintenance
  * fixed "scary message on interruption": enhanced SIGINT trapping in
    early stages of runtime (Closes: #605039)
  * fixed "leaves problematic apt configuration fragment if in config-
    files status and unpack fails": added code for the abort-install case
    to the postrm script (Closes: #611913)
  * changed my e-mail address
  * re-added (a slightly modified version of) the git-tag.sh internal script
  * credit for a new co-maintainer: welcome on board, Thomas Mueller!
    (Closes: #600879)

  [ Ryan Niebur ]
  * updated German translation, thanks Thomas Mueller! (Closes: #578305)
  * flush stdin after running the web browser (Closes: #578299)

  [ Thomas Mueller ]
  * added myself to the Uploaders field

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Fri, 25 Mar 2011 18:52:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: apt-listbugs
 Section: admin
 Priority: optional
-Maintainer: Ryan Niebur <ryan@debian.org>
-Uploaders: Francesco Poli (t1000) <frx@firenze.linux.it>
+Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
+Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: ruby1.8, rdtool, gettext, time
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/apt-listbugs/apt-listbugs.git
 Vcs-Browser: http://git.debian.org/?p=apt-listbugs/apt-listbugs.git
 
 Package: apt-listbugs
 Architecture: all
-Depends: ${misc:Depends}, ruby (>= 1.8), libruby1.8 (>= 1.8.5), libdpkg-ruby1.8 (>= 0.3.3), apt, libzlib-ruby1.8, libgettext-ruby1.8, libxml-parser-ruby1.8, libhttp-access2-ruby1.8 (>= 2.0.6)
+Depends: ${misc:Depends}, ruby (>= 1.8), libruby1.8 (>= 1.8.5), libdpkg-ruby1.8 (>= 0.3.3), apt, libzlib-ruby1.8, libgettext-ruby1.8 (>= 2.1.0), libxml-parser-ruby1.8, libhttpclient-ruby1.8 (>= 2.1.5.2-1)
 Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
 Description: tool which lists critical bugs before each apt installation
  apt-listbugs is a tool which retrieves bug reports from the Debian Bug
